roarshout(1)

NAME

roarshout - stream data to streaming server

SYNOPSIS

roarshout [OPTIONS]... [address [port [password [mountpoint]]]

DESCRIPTION

This tool sends data to (audio) streaming servers like icecast using libshout. The options and command lion syntax is compatible with the one used by oggfwd(1).

ROARAUDIO OPTIONS

--server SERVER
    Set server hostname

--rate   RATE
    Set sample rate

--bits   BITS
    Set bits per sample

--chans  CHANNELS
    Set number of channels

--codec  CODEC
    Set the codec

-h --help
    Show this help

--pw-arg
    Password is supplied as argument (default).

--pw-ask
    Ask user for password interactively.

--pw-dstr
    Read password from file. Filename is supplied as normal password argument.

LIBSHOUT OPTIONS

-p --public
    Allow listing in stream directory

-d          DESC
    Set stream description

-g          GENRE
    Set stream genre

-n          NAME
    Set stream name

-u          URL
    Set stream URL/homepage

SEE ALSO
oggfwd(1), roartips(7), libroar(7), RoarAudio(7).

HISTORY

For history information see RoarAudio(7).